{
  buildGoModule,
  fetchFromGitea,
  lib,
  ...
}:
buildGoModule rec {
  pname = "imp";
  version = "0.0.5";

  src = fetchFromGitea {
    domain = "git.jojodev.com";
    owner = "jolheiser";
    repo = "imp";
    rev = "v${version}";
    sha256 = "sha256-7qhsWUaeZrPHsG3WdCuqQS27DbvsY5qMV/DlVA4RKvM=";
  };

  vendorSha256 = "sha256-1az96BTJrkj6tigca5YNwEB9fX+BZX2A+aBttOQfo9g=";

  ldflags = ["-s" "-w" "-X=main.Version=${version}"];

  meta = with lib; {
    description = "Opinionated import formatter";
    homepage = "https://git.jojodev.com/jolheiser/imp";
    license = licenses.mit;
  };
}
